/*===========================================================================*/
/*   (Expand/exit.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Expand/exit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_exitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
static obj_t BGl__expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzexpand_exitz00();
BGL_EXPORTED_DECL obj_t BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2setzd2exitz00zzexpand_exitz00(obj_t, obj_t);
static obj_t BGl__expandzd2bindzd2exitz00zzexpand_exitz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__expandzd2setzd2exitz00zzexpand_exitz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2bindzd2exitz00zzexpand_exitz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzexpand_exitz00();
static obj_t BGl__expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzexpand_exitz00();
static obj_t BGl_requirezd2initializa7ationz75zzexpand_exitz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_exitz00();
static obj_t BGl_toplevelzd2initzd2zzexpand_exitz00();
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 17 ] ;


DEFINE_STRING( BGl_string1636z00zzexpand_exitz00, BgL_bgl_string1636za700za7za7expand_exitza7001664z00, "cdr car val-from-exit? if pop-exit! begin unwind-until! labels %get-exitd-top push-exit! let res val an_exitd an_exit set-exit jump-exit ", 137 );
DEFINE_STRING( BGl_string1635z00zzexpand_exitz00, BgL_bgl_string1635za700za7za7expand_exitza7001665z00, "Illegal `unwind-protect' form", 29 );
DEFINE_STRING( BGl_string1634z00zzexpand_exitz00, BgL_bgl_string1634za700za7za7expand_exitza7001666z00, "Illegal `bind-exit' form", 24 );
DEFINE_STRING( BGl_string1633z00zzexpand_exitz00, BgL_bgl_string1633za700za7za7expand_exitza7001667z00, "Illegal `set-exit' form", 23 );
DEFINE_STRING( BGl_string1632z00zzexpand_exitz00, BgL_bgl_string1632za700za7za7expand_exitza7001668z00, "Illegal 'jump-exit' form", 24 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2bindzd2exitzd2envzd2zzexpand_exitz00, BgL_bgl__expandza7d2bindza7d2exitza700za7za7expand_exitza7001669z00, BGl__expandzd2bindzd2exitz00zzexpand_exitz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2jumpzd2exitzd2envzd2zzexpand_exitz00, BgL_bgl__expandza7d2jumpza7d2exitza700za7za7expand_exitza7001670z00, BGl__expandzd2jumpzd2exitz00zzexpand_exitz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2setzd2exitzd2envzd2zzexpand_exitz00, BgL_bgl__expandza7d2setza7d2exitza700za7za7expand_exitza7001671z00, BGl__expandzd2setzd2exitz00zzexpand_exitz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_expandzd2unwindzd2protectzd2envzd2zzexpand_exitz00, BgL_bgl__expandza7d2unwindza7d2protectza700za7za7expand_exitza7001672z00, BGl__expandzd2unwindzd2protectz00zzexpand_exitz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_exitz00(long BgL_checksumz00_379, char * BgL_fromz00_380)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzexpand_exitz00))
{ 
BGl_requirezd2initializa7ationz75zzexpand_exitz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzexpand_exitz00(); 
BGl_cnstzd2initzd2zzexpand_exitz00(); 
BGl_importedzd2moduleszd2initz00zzexpand_exitz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzexpand_exitz00()
{ AN_OBJECT;
{ /* ./Expand/exit.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "expand_exit"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "expand_exit"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "expand_exit"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzexpand_exitz00()
{ AN_OBJECT;
{ /* ./Expand/exit.scm 15 */
{ /* ./Expand/exit.scm 15 */
obj_t BgL_cportz00_372;
BgL_cportz00_372 = 
open_input_string(BGl_string1636z00zzexpand_exitz00); 
{ 
long BgL_iz00_373;
BgL_iz00_373 = ((long)16); 
BgL_loopz00_374:
{ /* ./Expand/exit.scm 15 */
bool_t BgL_test1638z00_375;
BgL_test1638z00_375 = 
(BgL_iz00_373==((long)-1)); 
if(BgL_test1638z00_375)
{ /* ./Expand/exit.scm 15 */
return BUNSPEC;}  else 
{ /* ./Expand/exit.scm 15 */
{ /* ./Expand/exit.scm 15 */
obj_t BgL_arg1641z00_376;
{ /* ./Expand/exit.scm 15 */
obj_t BgL_list1644z00_377;
BgL_list1644z00_377 = 
MAKE_PAIR(BgL_cportz00_372, BNIL); 
BgL_arg1641z00_376 = 
BGl_readz00zz__readerz00(BgL_list1644z00_377); } 
{ /* ./Expand/exit.scm 15 */
int BgL_auxz00_395;
BgL_auxz00_395 = 
(int)(BgL_iz00_373); 
CNST_TABLE_SET(BgL_auxz00_395, BgL_arg1641z00_376); } } 
{ /* ./Expand/exit.scm 15 */
int BgL_auxz00_378;
{ /* ./Expand/exit.scm 15 */
long BgL_auxz00_398;
BgL_auxz00_398 = 
(BgL_iz00_373-((long)1)); 
BgL_auxz00_378 = 
(int)(BgL_auxz00_398); } 
{ 
long BgL_iz00_401;
BgL_iz00_401 = 
(long)(BgL_auxz00_378); 
BgL_iz00_373 = BgL_iz00_401; 
goto BgL_loopz00_374;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzexpand_exitz00()
{ AN_OBJECT;
{ /* ./Expand/exit.scm 15 */
return BUNSPEC;} 
}



/* expand-jump-exit */
BGL_EXPORTED_DEF obj_t BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t BgL_xz00_11, obj_t BgL_ez00_12)
{ AN_OBJECT;
{ /* ./Expand/exit.scm 36 */
{ 
obj_t BgL_exitz00_85;obj_t BgL_valuez00_86;
{ /* ./Expand/exit.scm 37 */
bool_t BgL_test1121z00_90;
BgL_test1121z00_90 = 
PAIRP(BgL_xz00_11); 
if(BgL_test1121z00_90)
{ /* ./Expand/exit.scm 37 */
obj_t BgL_cdrzd2128zd2_91;
BgL_cdrzd2128zd2_91 = 
CDR(BgL_xz00_11); 
{ /* ./Expand/exit.scm 37 */
bool_t BgL_test1122z00_92;
BgL_test1122z00_92 = 
PAIRP(BgL_cdrzd2128zd2_91); 
if(BgL_test1122z00_92)
{ /* ./Expand/exit.scm 37 */
obj_t BgL_arg1124z00_93;obj_t BgL_arg1125z00_94;
BgL_arg1124z00_93 = 
CAR(BgL_cdrzd2128zd2_91); 
BgL_arg1125z00_94 = 
CDR(BgL_cdrzd2128zd2_91); 
BgL_exitz00_85 = BgL_arg1124z00_93; 
BgL_valuez00_86 = BgL_arg1125z00_94; 
{ /* ./Expand/exit.scm 39 */
obj_t BgL_newz00_95;
{ /* ./Expand/exit.scm 39 */
obj_t BgL_arg1136z00_96;obj_t BgL_arg1137z00_97;
BgL_arg1136z00_96 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Expand/exit.scm 39 */
obj_t BgL_arg1140z00_98;obj_t BgL_arg1141z00_99;
BgL_arg1140z00_98 = 
PROCEDURE_ENTRY(BgL_ez00_12)(BgL_ez00_12, BgL_exitz00_85, BgL_ez00_12, BEOA); 
{ /* ./Expand/exit.scm 39 */
obj_t BgL_arg1147z00_100;
{ /* ./Expand/exit.scm 39 */
obj_t BgL_arg1151z00_102;
BgL_arg1151z00_102 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_valuez00_86); 
BgL_arg1147z00_100 = 
PROCEDURE_ENTRY(BgL_ez00_12)(BgL_ez00_12, BgL_arg1151z00_102, BgL_ez00_12, BEOA); } 
BgL_arg1141z00_99 = 
MAKE_PAIR(BgL_arg1147z00_100, BNIL); } 
BgL_arg1137z00_97 = 
MAKE_PAIR(BgL_arg1140z00_98, BgL_arg1141z00_99); } 
BgL_newz00_95 = 
MAKE_PAIR(BgL_arg1136z00_96, BgL_arg1137z00_97); } 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_11, BgL_newz00_95);} }  else 
{ /* ./Expand/exit.scm 37 */
BgL_tagzd2121zd2_88:
FAILURE(BFALSE,BGl_string1632z00zzexpand_exitz00,BgL_xz00_11);} } }  else 
{ /* ./Expand/exit.scm 37 */
goto BgL_tagzd2121zd2_88;} } } } 
}



/* _expand-jump-exit */
obj_t BGl__expandzd2jumpzd2exitz00zzexpand_exitz00(obj_t BgL_envz00_359, obj_t BgL_xz00_360, obj_t BgL_ez00_361)
{ AN_OBJECT;
{ /* ./Expand/exit.scm 36 */
return 
BGl_expandzd2jumpzd2exitz00zzexpand_exitz00(BgL_xz00_360, BgL_ez00_361);} 
}



/* expand-set-exit */
BGL_EXPORTED_DEF obj_t BGl_expandzd2setzd2exitz00zzexpand_exitz00(obj_t BgL_xz00_13, obj_t BgL_ez00_14)
{ AN_OBJECT;
{ /* ./Expand/exit.scm 47 */
{ 
obj_t BgL_exitz00_103;obj_t BgL_bodyz00_104;
{ /* ./Expand/exit.scm 48 */
bool_t BgL_test1155z00_108;
BgL_test1155z00_108 = 
PAIRP(BgL_xz00_13); 
if(BgL_test1155z00_108)
{ /* ./Expand/exit.scm 48 */
obj_t BgL_cdrzd2143zd2_109;
BgL_cdrzd2143zd2_109 = 
CDR(BgL_xz00_13); 
{ /* ./Expand/exit.scm 48 */
bool_t BgL_test1156z00_110;
BgL_test1156z00_110 = 
PAIRP(BgL_cdrzd2143zd2_109); 
if(BgL_test1156z00_110)
{ /* ./Expand/exit.scm 48 */
obj_t BgL_carzd2146zd2_111;
BgL_carzd2146zd2_111 = 
CAR(BgL_cdrzd2143zd2_109); 
{ /* ./Expand/exit.scm 48 */
bool_t BgL_test1157z00_112;
BgL_test1157z00_112 = 
PAIRP(BgL_carzd2146zd2_111); 
if(BgL_test1157z00_112)
{ /* ./Expand/exit.scm 48 */
bool_t BgL_test1159z00_113;
{ /* ./Expand/exit.scm 48 */
obj_t BgL_auxz00_430;
BgL_auxz00_430 = 
CDR(BgL_carzd2146zd2_111); 
BgL_test1159z00_113 = 
NULLP(BgL_auxz00_430); } 
if(BgL_test1159z00_113)
{ /* ./Expand/exit.scm 48 */
obj_t BgL_arg1162z00_114;obj_t BgL_arg1163z00_115;
BgL_arg1162z00_114 = 
CAR(BgL_carzd2146zd2_111); 
BgL_arg1163z00_115 = 
CDR(BgL_cdrzd2143zd2_109); 
BgL_exitz00_103 = BgL_arg1162z00_114; 
BgL_bodyz00_104 = BgL_arg1163z00_115; 
{ /* ./Expand/exit.scm 50 */
obj_t BgL_newz00_117;
{ /* ./Expand/exit.scm 50 */
obj_t BgL_arg1182z00_118;obj_t BgL_arg1183z00_119;
BgL_arg1182z00_118 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Expand/exit.scm 50 */
obj_t BgL_arg1187z00_120;obj_t BgL_arg1188z00_121;
BgL_arg1187z00_120 = 
MAKE_PAIR(BgL_exitz00_103, BNIL); 
{ /* ./Expand/exit.scm 50 */
obj_t BgL_arg1192z00_122;
{ /* ./Expand/exit.scm 50 */
obj_t BgL_arg1198z00_124;
BgL_arg1198z00_124 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyz00_104); 
BgL_arg1192z00_122 = 
PROCEDURE_ENTRY(BgL_ez00_14)(BgL_ez00_14, BgL_arg1198z00_124, BgL_ez00_14, BEOA); } 
BgL_arg1188z00_121 = 
MAKE_PAIR(BgL_arg1192z00_122, BNIL); } 
BgL_arg1183z00_119 = 
MAKE_PAIR(BgL_arg1187z00_120, BgL_arg1188z00_121); } 
BgL_newz00_117 = 
MAKE_PAIR(BgL_arg1182z00_118, BgL_arg1183z00_119); } 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_13, BgL_newz00_117);} }  else 
{ /* ./Expand/exit.scm 48 */
BgL_tagzd2136zd2_106:
FAILURE(BFALSE,BGl_string1633z00zzexpand_exitz00,BgL_xz00_13);} }  else 
{ /* ./Expand/exit.scm 48 */
goto BgL_tagzd2136zd2_106;} } }  else 
{ /* ./Expand/exit.scm 48 */
goto BgL_tagzd2136zd2_106;} } }  else 
{ /* ./Expand/exit.scm 48 */
goto BgL_tagzd2136zd2_106;} } } } 
}



/* _expand-set-exit */
obj_t BGl__expandzd2setzd2exitz00zzexpand_exitz00(obj_t BgL_envz00_362, obj_t BgL_xz00_363, obj_t BgL_ez00_364)
{ AN_OBJECT;
{ /* ./Expand/exit.scm 47 */
return 
BGl_expandzd2setzd2exitz00zzexpand_exitz00(BgL_xz00_363, BgL_ez00_364);} 
}



/* expand-bind-exit */
BGL_EXPORTED_DEF obj_t BGl_expandzd2bindzd2exitz00zzexpand_exitz00(obj_t BgL_xz00_15, obj_t BgL_ez00_16)
{ AN_OBJECT;
{ /* ./Expand/exit.scm 58 */
{ 
obj_t BgL_exitz00_125;obj_t BgL_bodyz00_126;
{ /* ./Expand/exit.scm 59 */
bool_t BgL_test1202z00_130;
BgL_test1202z00_130 = 
PAIRP(BgL_xz00_15); 
if(BgL_test1202z00_130)
{ /* ./Expand/exit.scm 59 */
obj_t BgL_cdrzd2161zd2_131;
BgL_cdrzd2161zd2_131 = 
CDR(BgL_xz00_15); 
{ /* ./Expand/exit.scm 59 */
bool_t BgL_test1203z00_132;
BgL_test1203z00_132 = 
PAIRP(BgL_cdrzd2161zd2_131); 
if(BgL_test1203z00_132)
{ /* ./Expand/exit.scm 59 */
obj_t BgL_carzd2164zd2_133;
BgL_carzd2164zd2_133 = 
CAR(BgL_cdrzd2161zd2_131); 
{ /* ./Expand/exit.scm 59 */
bool_t BgL_test1204z00_134;
BgL_test1204z00_134 = 
PAIRP(BgL_carzd2164zd2_133); 
if(BgL_test1204z00_134)
{ /* ./Expand/exit.scm 59 */
bool_t BgL_test1205z00_135;
{ /* ./Expand/exit.scm 59 */
obj_t BgL_auxz00_455;
BgL_auxz00_455 = 
CDR(BgL_carzd2164zd2_133); 
BgL_test1205z00_135 = 
NULLP(BgL_auxz00_455); } 
if(BgL_test1205z00_135)
{ /* ./Expand/exit.scm 59 */
obj_t BgL_arg1207z00_136;obj_t BgL_arg1210z00_137;
BgL_arg1207z00_136 = 
CAR(BgL_carzd2164zd2_133); 
BgL_arg1210z00_137 = 
CDR(BgL_cdrzd2161zd2_131); 
BgL_exitz00_125 = BgL_arg1207z00_136; 
BgL_bodyz00_126 = BgL_arg1210z00_137; 
{ /* ./Expand/exit.scm 61 */
obj_t BgL_anzd2exitzd2_139;obj_t BgL_anzd2exitdzd2_140;obj_t BgL_valz00_141;obj_t BgL_resz00_142;
{ /* ./Expand/exit.scm 61 */
obj_t BgL_arg1382z00_202;
BgL_arg1382z00_202 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)2)), BEOA); 
BgL_anzd2exitzd2_139 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1382z00_202); } 
{ /* ./Expand/exit.scm 62 */
obj_t BgL_arg1388z00_203;
BgL_arg1388z00_203 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)3)), BEOA); 
BgL_anzd2exitdzd2_140 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1388z00_203); } 
{ /* ./Expand/exit.scm 63 */
obj_t BgL_arg1392z00_204;
BgL_arg1392z00_204 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)4)), BEOA); 
BgL_valz00_141 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1392z00_204); } 
{ /* ./Expand/exit.scm 64 */
obj_t BgL_arg1396z00_205;
BgL_arg1396z00_205 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)5)), BEOA); 
BgL_resz00_142 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1396z00_205); } 
{ /* ./Expand/exit.scm 65 */
obj_t BgL_newz00_143;
{ /* ./Expand/exit.scm 65 */
obj_t BgL_arg1229z00_144;
{ /* ./Expand/exit.scm 65 */
obj_t BgL_arg1233z00_145;obj_t BgL_arg1234z00_146;
BgL_arg1233z00_145 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Expand/exit.scm 65 */
obj_t BgL_arg1237z00_147;obj_t BgL_arg1238z00_148;
BgL_arg1237z00_147 = 
MAKE_PAIR(BgL_anzd2exitzd2_139, BNIL); 
{ /* ./Expand/exit.scm 66 */
obj_t BgL_arg1243z00_149;
{ /* ./Expand/exit.scm 66 */
obj_t BgL_arg1249z00_151;obj_t BgL_arg1250z00_152;
BgL_arg1249z00_151 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Expand/exit.scm 66 */
obj_t BgL_arg1258z00_154;
{ /* ./Expand/exit.scm 67 */
obj_t BgL_arg1265z00_155;obj_t BgL_arg1266z00_156;
{ /* ./Expand/exit.scm 67 */
obj_t BgL_arg1270z00_157;obj_t BgL_arg1273z00_158;
BgL_arg1270z00_157 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Expand/exit.scm 67 */
obj_t BgL_arg1276z00_159;
BgL_arg1276z00_159 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_arg1273z00_158 = 
MAKE_PAIR(BgL_anzd2exitzd2_139, BgL_arg1276z00_159); } 
BgL_arg1265z00_155 = 
MAKE_PAIR(BgL_arg1270z00_157, BgL_arg1273z00_158); } 
{ /* ./Expand/exit.scm 68 */
obj_t BgL_arg1282z00_160;
{ /* ./Expand/exit.scm 68 */
obj_t BgL_arg1286z00_162;obj_t BgL_arg1287z00_163;
BgL_arg1286z00_162 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Expand/exit.scm 68 */
obj_t BgL_arg1290z00_164;obj_t BgL_arg1291z00_165;
{ /* ./Expand/exit.scm 68 */
obj_t BgL_arg1294z00_166;
{ /* ./Expand/exit.scm 68 */
obj_t BgL_arg1298z00_168;
{ /* ./Expand/exit.scm 68 */
obj_t BgL_arg1301z00_169;
{ /* ./Expand/exit.scm 68 */
obj_t BgL_auxz00_485;
BgL_auxz00_485 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg1301z00_169 = 
MAKE_PAIR(BgL_auxz00_485, BNIL); } 
BgL_arg1298z00_168 = 
MAKE_PAIR(BgL_arg1301z00_169, BNIL); } 
BgL_arg1294z00_166 = 
MAKE_PAIR(BgL_anzd2exitdzd2_140, BgL_arg1298z00_168); } 
BgL_arg1290z00_164 = 
MAKE_PAIR(BgL_arg1294z00_166, BNIL); } 
{ /* ./Expand/exit.scm 69 */
obj_t BgL_arg1306z00_171;
{ /* ./Expand/exit.scm 69 */
obj_t BgL_arg1310z00_173;obj_t BgL_arg1311z00_174;
BgL_arg1310z00_173 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Expand/exit.scm 69 */
obj_t BgL_arg1314z00_175;obj_t BgL_arg1315z00_176;
{ /* ./Expand/exit.scm 69 */
obj_t BgL_arg1318z00_177;
{ /* ./Expand/exit.scm 69 */
obj_t BgL_arg1322z00_179;
{ /* ./Expand/exit.scm 69 */
obj_t BgL_arg1326z00_180;obj_t BgL_arg1327z00_181;
BgL_arg1326z00_180 = 
MAKE_PAIR(BgL_valz00_141, BNIL); 
{ /* ./Expand/exit.scm 70 */
obj_t BgL_arg1331z00_182;
{ /* ./Expand/exit.scm 70 */
obj_t BgL_arg1335z00_184;obj_t BgL_arg1336z00_185;
BgL_arg1335z00_184 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Expand/exit.scm 70 */
obj_t BgL_arg1340z00_186;
BgL_arg1340z00_186 = 
MAKE_PAIR(BgL_valz00_141, BNIL); 
BgL_arg1336z00_185 = 
MAKE_PAIR(BgL_anzd2exitdzd2_140, BgL_arg1340z00_186); } 
BgL_arg1331z00_182 = 
MAKE_PAIR(BgL_arg1335z00_184, BgL_arg1336z00_185); } 
BgL_arg1327z00_181 = 
MAKE_PAIR(BgL_arg1331z00_182, BNIL); } 
BgL_arg1322z00_179 = 
MAKE_PAIR(BgL_arg1326z00_180, BgL_arg1327z00_181); } 
BgL_arg1318z00_177 = 
MAKE_PAIR(BgL_exitz00_125, BgL_arg1322z00_179); } 
BgL_arg1314z00_175 = 
MAKE_PAIR(BgL_arg1318z00_177, BNIL); } 
{ /* ./Expand/exit.scm 73 */
obj_t BgL_arg1344z00_187;
{ /* ./Expand/exit.scm 73 */
obj_t BgL_arg1348z00_189;obj_t BgL_arg1349z00_190;
BgL_arg1348z00_189 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Expand/exit.scm 73 */
obj_t BgL_arg1352z00_191;obj_t BgL_arg1354z00_192;
{ /* ./Expand/exit.scm 73 */
obj_t BgL_arg1358z00_193;
{ /* ./Expand/exit.scm 73 */
obj_t BgL_arg1362z00_195;
{ /* ./Expand/exit.scm 73 */
obj_t BgL_arg1365z00_196;
{ /* ./Expand/exit.scm 73 */
obj_t BgL_arg1370z00_198;obj_t BgL_arg1371z00_199;
BgL_arg1370z00_198 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg1371z00_199 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_126, BNIL); 
BgL_arg1365z00_196 = 
MAKE_PAIR(BgL_arg1370z00_198, BgL_arg1371z00_199); } 
BgL_arg1362z00_195 = 
MAKE_PAIR(BgL_arg1365z00_196, BNIL); } 
BgL_arg1358z00_193 = 
MAKE_PAIR(BgL_resz00_142, BgL_arg1362z00_195); } 
BgL_arg1352z00_191 = 
MAKE_PAIR(BgL_arg1358z00_193, BNIL); } 
{ /* ./Expand/exit.scm 74 */
obj_t BgL_arg1375z00_200;obj_t BgL_arg1376z00_201;
{ /* ./Expand/exit.scm 74 */
obj_t BgL_auxz00_508;
BgL_auxz00_508 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg1375z00_200 = 
MAKE_PAIR(BgL_auxz00_508, BNIL); } 
BgL_arg1376z00_201 = 
MAKE_PAIR(BgL_resz00_142, BNIL); 
BgL_arg1354z00_192 = 
MAKE_PAIR(BgL_arg1375z00_200, BgL_arg1376z00_201); } 
BgL_arg1349z00_190 = 
MAKE_PAIR(BgL_arg1352z00_191, BgL_arg1354z00_192); } 
BgL_arg1344z00_187 = 
MAKE_PAIR(BgL_arg1348z00_189, BgL_arg1349z00_190); } 
BgL_arg1315z00_176 = 
MAKE_PAIR(BgL_arg1344z00_187, BNIL); } 
BgL_arg1311z00_174 = 
MAKE_PAIR(BgL_arg1314z00_175, BgL_arg1315z00_176); } 
BgL_arg1306z00_171 = 
MAKE_PAIR(BgL_arg1310z00_173, BgL_arg1311z00_174); } 
BgL_arg1291z00_165 = 
MAKE_PAIR(BgL_arg1306z00_171, BNIL); } 
BgL_arg1287z00_163 = 
MAKE_PAIR(BgL_arg1290z00_164, BgL_arg1291z00_165); } 
BgL_arg1282z00_160 = 
MAKE_PAIR(BgL_arg1286z00_162, BgL_arg1287z00_163); } 
BgL_arg1266z00_156 = 
MAKE_PAIR(BgL_arg1282z00_160, BNIL); } 
BgL_arg1258z00_154 = 
MAKE_PAIR(BgL_arg1265z00_155, BgL_arg1266z00_156); } 
BgL_arg1250z00_152 = 
MAKE_PAIR(BNIL, BgL_arg1258z00_154); } 
BgL_arg1243z00_149 = 
MAKE_PAIR(BgL_arg1249z00_151, BgL_arg1250z00_152); } 
BgL_arg1238z00_148 = 
MAKE_PAIR(BgL_arg1243z00_149, BNIL); } 
BgL_arg1234z00_146 = 
MAKE_PAIR(BgL_arg1237z00_147, BgL_arg1238z00_148); } 
BgL_arg1229z00_144 = 
MAKE_PAIR(BgL_arg1233z00_145, BgL_arg1234z00_146); } 
BgL_newz00_143 = 
PROCEDURE_ENTRY(BgL_ez00_16)(BgL_ez00_16, BgL_arg1229z00_144, BgL_ez00_16, BEOA); } 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_15, BgL_newz00_143);} } }  else 
{ /* ./Expand/exit.scm 59 */
BgL_tagzd2154zd2_128:
FAILURE(BFALSE,BGl_string1634z00zzexpand_exitz00,BgL_xz00_15);} }  else 
{ /* ./Expand/exit.scm 59 */
goto BgL_tagzd2154zd2_128;} } }  else 
{ /* ./Expand/exit.scm 59 */
goto BgL_tagzd2154zd2_128;} } }  else 
{ /* ./Expand/exit.scm 59 */
goto BgL_tagzd2154zd2_128;} } } } 
}



/* _expand-bind-exit */
obj_t BGl__expandzd2bindzd2exitz00zzexpand_exitz00(obj_t BgL_envz00_365, obj_t BgL_xz00_366, obj_t BgL_ez00_367)
{ AN_OBJECT;
{ /* ./Expand/exit.scm 58 */
return 
BGl_expandzd2bindzd2exitz00zzexpand_exitz00(BgL_xz00_366, BgL_ez00_367);} 
}



/* expand-unwind-protect */
BGL_EXPORTED_DEF obj_t BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t BgL_xz00_17, obj_t BgL_ez00_18)
{ AN_OBJECT;
{ /* ./Expand/exit.scm 84 */
{ 
obj_t BgL_expz00_206;obj_t BgL_cleanupz00_207;
{ /* ./Expand/exit.scm 85 */
bool_t BgL_test1400z00_211;
BgL_test1400z00_211 = 
PAIRP(BgL_xz00_17); 
if(BgL_test1400z00_211)
{ /* ./Expand/exit.scm 85 */
obj_t BgL_cdrzd2179zd2_212;
BgL_cdrzd2179zd2_212 = 
CDR(BgL_xz00_17); 
{ /* ./Expand/exit.scm 85 */
bool_t BgL_test1401z00_213;
BgL_test1401z00_213 = 
PAIRP(BgL_cdrzd2179zd2_212); 
if(BgL_test1401z00_213)
{ /* ./Expand/exit.scm 85 */
obj_t BgL_cdrzd2183zd2_214;
BgL_cdrzd2183zd2_214 = 
CDR(BgL_cdrzd2179zd2_212); 
{ /* ./Expand/exit.scm 85 */
bool_t BgL_test1402z00_215;
BgL_test1402z00_215 = 
PAIRP(BgL_cdrzd2183zd2_214); 
if(BgL_test1402z00_215)
{ /* ./Expand/exit.scm 85 */
obj_t BgL_arg1406z00_216;
BgL_arg1406z00_216 = 
CAR(BgL_cdrzd2179zd2_212); 
BgL_expz00_206 = BgL_arg1406z00_216; 
BgL_cleanupz00_207 = BgL_cdrzd2183zd2_214; 
{ /* ./Expand/exit.scm 87 */
obj_t BgL_valz00_217;
{ /* ./Expand/exit.scm 87 */
obj_t BgL_arg1594z00_286;
BgL_arg1594z00_286 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)4)), BEOA); 
BgL_valz00_217 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1594z00_286); } 
{ /* ./Expand/exit.scm 87 */
obj_t BgL_anzd2exitzd2_218;
{ /* ./Expand/exit.scm 88 */
obj_t BgL_arg1590z00_285;
BgL_arg1590z00_285 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)2)), BEOA); 
BgL_anzd2exitzd2_218 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1590z00_285); } 
{ /* ./Expand/exit.scm 88 */
obj_t BgL_valbisz00_219;
{ /* ./Expand/exit.scm 89 */
obj_t BgL_arg1586z00_284;
BgL_arg1586z00_284 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)4)), BEOA); 
BgL_valbisz00_219 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1586z00_284); } 
{ /* ./Expand/exit.scm 89 */
obj_t BgL_eexpz00_220;
BgL_eexpz00_220 = 
PROCEDURE_ENTRY(BgL_ez00_18)(BgL_ez00_18, BgL_expz00_206, BgL_ez00_18, BEOA); 
{ /* ./Expand/exit.scm 90 */
obj_t BgL_auxz00_221;
{ /* ./Expand/exit.scm 91 */
obj_t BgL_arg1555z00_275;obj_t BgL_arg1557z00_276;
BgL_arg1555z00_275 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Expand/exit.scm 91 */
obj_t BgL_arg1562z00_277;obj_t BgL_arg1564z00_278;
{ /* ./Expand/exit.scm 91 */
obj_t BgL_arg1568z00_279;
{ /* ./Expand/exit.scm 91 */
obj_t BgL_arg1572z00_281;
BgL_arg1572z00_281 = 
MAKE_PAIR(BgL_eexpz00_220, BNIL); 
BgL_arg1568z00_279 = 
MAKE_PAIR(BgL_valbisz00_219, BgL_arg1572z00_281); } 
BgL_arg1562z00_277 = 
MAKE_PAIR(BgL_arg1568z00_279, BNIL); } 
{ /* ./Expand/exit.scm 92 */
obj_t BgL_arg1576z00_282;obj_t BgL_arg1578z00_283;
{ /* ./Expand/exit.scm 92 */
obj_t BgL_auxz00_560;
BgL_auxz00_560 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg1576z00_282 = 
MAKE_PAIR(BgL_auxz00_560, BNIL); } 
BgL_arg1578z00_283 = 
MAKE_PAIR(BgL_valbisz00_219, BNIL); 
BgL_arg1564z00_278 = 
MAKE_PAIR(BgL_arg1576z00_282, BgL_arg1578z00_283); } 
BgL_arg1557z00_276 = 
MAKE_PAIR(BgL_arg1562z00_277, BgL_arg1564z00_278); } 
BgL_auxz00_221 = 
MAKE_PAIR(BgL_arg1555z00_275, BgL_arg1557z00_276); } 
{ /* ./Expand/exit.scm 91 */
obj_t BgL_eauxz00_222;
{ /* ./Expand/exit.scm 94 */
bool_t BgL_test1542z00_271;
BgL_test1542z00_271 = 
EXTENDED_PAIRP(BgL_eexpz00_220); 
if(BgL_test1542z00_271)
{ /* ./Expand/exit.scm 95 */
obj_t BgL_arg1545z00_272;obj_t BgL_arg1547z00_273;obj_t BgL_arg1548z00_274;
BgL_arg1545z00_272 = 
CAR(BgL_auxz00_221); 
BgL_arg1547z00_273 = 
CDR(BgL_auxz00_221); 
BgL_arg1548z00_274 = 
CER(BgL_eexpz00_220); 
{ /* ./Expand/exit.scm 95 */
obj_t BgL_res1617z00_355;
BgL_res1617z00_355 = 
MAKE_EXTENDED_PAIR(BgL_arg1545z00_272, BgL_arg1547z00_273, BgL_arg1548z00_274); 
BgL_eauxz00_222 = BgL_res1617z00_355; } }  else 
{ /* ./Expand/exit.scm 94 */
BgL_eauxz00_222 = BgL_auxz00_221; } } 
{ /* ./Expand/exit.scm 94 */

{ /* ./Expand/exit.scm 97 */
obj_t BgL_newz00_223;
{ /* ./Expand/exit.scm 97 */
obj_t BgL_arg1419z00_224;obj_t BgL_arg1420z00_225;
BgL_arg1419z00_224 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Expand/exit.scm 97 */
obj_t BgL_arg1423z00_226;obj_t BgL_arg1424z00_227;
{ /* ./Expand/exit.scm 97 */
obj_t BgL_arg1427z00_228;
{ /* ./Expand/exit.scm 97 */
obj_t BgL_arg1431z00_230;
{ /* ./Expand/exit.scm 97 */
obj_t BgL_arg1434z00_231;
{ /* ./Expand/exit.scm 97 */
obj_t BgL_arg1438z00_233;obj_t BgL_arg1440z00_234;
BgL_arg1438z00_233 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Expand/exit.scm 97 */
obj_t BgL_arg1444z00_235;obj_t BgL_arg1446z00_236;
BgL_arg1444z00_235 = 
MAKE_PAIR(BgL_anzd2exitzd2_218, BNIL); 
{ /* ./Expand/exit.scm 98 */
obj_t BgL_arg1450z00_237;
{ /* ./Expand/exit.scm 98 */
obj_t BgL_arg1454z00_239;obj_t BgL_arg1456z00_240;
BgL_arg1454z00_239 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Expand/exit.scm 98 */
obj_t BgL_arg1463z00_242;
{ /* ./Expand/exit.scm 99 */
obj_t BgL_arg1466z00_243;obj_t BgL_arg1468z00_244;
{ /* ./Expand/exit.scm 99 */
obj_t BgL_arg1471z00_245;obj_t BgL_arg1474z00_246;
BgL_arg1471z00_245 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Expand/exit.scm 99 */
obj_t BgL_arg1477z00_247;
BgL_arg1477z00_247 = 
MAKE_PAIR(BFALSE, BNIL); 
BgL_arg1474z00_246 = 
MAKE_PAIR(BgL_anzd2exitzd2_218, BgL_arg1477z00_247); } 
BgL_arg1466z00_243 = 
MAKE_PAIR(BgL_arg1471z00_245, BgL_arg1474z00_246); } 
BgL_arg1468z00_244 = 
MAKE_PAIR(BgL_auxz00_221, BNIL); 
BgL_arg1463z00_242 = 
MAKE_PAIR(BgL_arg1466z00_243, BgL_arg1468z00_244); } 
BgL_arg1456z00_240 = 
MAKE_PAIR(BNIL, BgL_arg1463z00_242); } 
BgL_arg1450z00_237 = 
MAKE_PAIR(BgL_arg1454z00_239, BgL_arg1456z00_240); } 
BgL_arg1446z00_236 = 
MAKE_PAIR(BgL_arg1450z00_237, BNIL); } 
BgL_arg1440z00_234 = 
MAKE_PAIR(BgL_arg1444z00_235, BgL_arg1446z00_236); } 
BgL_arg1434z00_231 = 
MAKE_PAIR(BgL_arg1438z00_233, BgL_arg1440z00_234); } 
BgL_arg1431z00_230 = 
MAKE_PAIR(BgL_arg1434z00_231, BNIL); } 
BgL_arg1427z00_228 = 
MAKE_PAIR(BgL_valz00_217, BgL_arg1431z00_230); } 
BgL_arg1423z00_226 = 
MAKE_PAIR(BgL_arg1427z00_228, BNIL); } 
{ /* ./Expand/exit.scm 101 */
obj_t BgL_arg1483z00_248;obj_t BgL_arg1484z00_249;
{ /* ./Expand/exit.scm 101 */
obj_t BgL_arg1487z00_250;
BgL_arg1487z00_250 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_cleanupz00_207); 
BgL_arg1483z00_248 = 
PROCEDURE_ENTRY(BgL_ez00_18)(BgL_ez00_18, BgL_arg1487z00_250, BgL_ez00_18, BEOA); } 
{ /* ./Expand/exit.scm 102 */
obj_t BgL_arg1491z00_251;
{ /* ./Expand/exit.scm 102 */
obj_t BgL_arg1496z00_253;obj_t BgL_arg1497z00_254;
BgL_arg1496z00_253 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Expand/exit.scm 102 */
obj_t BgL_arg1500z00_255;obj_t BgL_arg1501z00_256;
{ /* ./Expand/exit.scm 102 */
obj_t BgL_arg1504z00_257;obj_t BgL_arg1506z00_258;
BgL_arg1504z00_257 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg1506z00_258 = 
MAKE_PAIR(BgL_valz00_217, BNIL); 
BgL_arg1500z00_255 = 
MAKE_PAIR(BgL_arg1504z00_257, BgL_arg1506z00_258); } 
{ /* ./Expand/exit.scm 103 */
obj_t BgL_arg1511z00_259;obj_t BgL_arg1513z00_260;
{ /* ./Expand/exit.scm 103 */
obj_t BgL_arg1516z00_261;obj_t BgL_arg1518z00_262;
BgL_arg1516z00_261 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Expand/exit.scm 103 */
obj_t BgL_arg1521z00_263;obj_t BgL_arg1524z00_264;
{ /* ./Expand/exit.scm 103 */
obj_t BgL_arg1527z00_265;obj_t BgL_arg1528z00_266;
BgL_arg1527z00_265 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg1528z00_266 = 
MAKE_PAIR(BgL_valz00_217, BNIL); 
BgL_arg1521z00_263 = 
MAKE_PAIR(BgL_arg1527z00_265, BgL_arg1528z00_266); } 
{ /* ./Expand/exit.scm 103 */
obj_t BgL_arg1533z00_267;
{ /* ./Expand/exit.scm 103 */
obj_t BgL_arg1537z00_269;obj_t BgL_arg1538z00_270;
BgL_arg1537z00_269 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg1538z00_270 = 
MAKE_PAIR(BgL_valz00_217, BNIL); 
BgL_arg1533z00_267 = 
MAKE_PAIR(BgL_arg1537z00_269, BgL_arg1538z00_270); } 
BgL_arg1524z00_264 = 
MAKE_PAIR(BgL_arg1533z00_267, BNIL); } 
BgL_arg1518z00_262 = 
MAKE_PAIR(BgL_arg1521z00_263, BgL_arg1524z00_264); } 
BgL_arg1511z00_259 = 
MAKE_PAIR(BgL_arg1516z00_261, BgL_arg1518z00_262); } 
BgL_arg1513z00_260 = 
MAKE_PAIR(BgL_valz00_217, BNIL); 
BgL_arg1501z00_256 = 
MAKE_PAIR(BgL_arg1511z00_259, BgL_arg1513z00_260); } 
BgL_arg1497z00_254 = 
MAKE_PAIR(BgL_arg1500z00_255, BgL_arg1501z00_256); } 
BgL_arg1491z00_251 = 
MAKE_PAIR(BgL_arg1496z00_253, BgL_arg1497z00_254); } 
BgL_arg1484z00_249 = 
MAKE_PAIR(BgL_arg1491z00_251, BNIL); } 
BgL_arg1424z00_227 = 
MAKE_PAIR(BgL_arg1483z00_248, BgL_arg1484z00_249); } 
BgL_arg1420z00_225 = 
MAKE_PAIR(BgL_arg1423z00_226, BgL_arg1424z00_227); } 
BgL_newz00_223 = 
MAKE_PAIR(BgL_arg1419z00_224, BgL_arg1420z00_225); } 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_17, BgL_newz00_223);} } } } } } } } }  else 
{ /* ./Expand/exit.scm 85 */
BgL_tagzd2172zd2_209:
FAILURE(BFALSE,BGl_string1635z00zzexpand_exitz00,BgL_xz00_17);} } }  else 
{ /* ./Expand/exit.scm 85 */
goto BgL_tagzd2172zd2_209;} } }  else 
{ /* ./Expand/exit.scm 85 */
goto BgL_tagzd2172zd2_209;} } } } 
}



/* _expand-unwind-protect */
obj_t BGl__expandzd2unwindzd2protectz00zzexpand_exitz00(obj_t BgL_envz00_368, obj_t BgL_xz00_369, obj_t BgL_ez00_370)
{ AN_OBJECT;
{ /* ./Expand/exit.scm 84 */
return 
BGl_expandzd2unwindzd2protectz00zzexpand_exitz00(BgL_xz00_369, BgL_ez00_370);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzexpand_exitz00()
{ AN_OBJECT;
{ /* ./Expand/exit.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzexpand_exitz00()
{ AN_OBJECT;
{ /* ./Expand/exit.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "expand_exit"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)55569), "expand_exit"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "expand_exit"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "expand_exit"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)64117), "expand_exit"); 
BGl_modulezd2initializa7ationz75zzexpand_expanderz00(((long)52206), "expand_exit"); 
BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long)17978), "expand_exit"); 
BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(((long)7027), "expand_exit"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "expand_exit"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "expand_exit"); 
return 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "expand_exit");} 
}

